from Interface import Base
from Interface.Attribute import Attribute

class Recipe(Base) :
    """
    This is the interface to the recipe component. This component is mainly
    a dictionnary.
    """

    name             = Attribute("Name of the recipe")
    ingr_list        = Attribute("List of ingredients")
    preparation_time = Attribute("Preparation time")
    cooking_time     = Attribute("Cooking time")
    typist           = Attribute("Who typed the recipe")
    source           = Attribute("Where does the recipe come from")
    yield_number     = Attribute("For how many people")
    categories       = Attribute("List of categories")
    howto            = Attribute("And finally the recipe")

    def addIngredient(self, quantite, unite, descr) :
        """ Add an ingredient to the indredient list """
                
    def addCategory(self, category) :
        """ 
        Add a category to the category list 
        """
             
    def acceptRecipe(self) :
        """
        Accept this recipe for publication
        """

    def match(self, kind, term) :
        """
        This is the method that indicate if this recipe match a search
        criterion of some kind
        """
