from RecipeImplementation import RecipeI
from RecipeImplementation import addRecipeForm, addRecipeFunction

from CookbookImplementation import CookbookI, addCookbookForm
from CookbookImplementation import addCookbookFunction

def initialize(context) :
    context.registerClass(
        RecipeI,
        constructors=(addRecipeForm, addRecipeFunction),
        icon='www/adimeal_recipe.png')
    context.registerClass(
        CookbookI,
        constructors=(addCookbookForm, addCookbookFunction),
        icon='www/adimeal_folder.png')
